package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.TrayectosExpresos;

public class RenderTrayectosExpreso implements ListitemRenderer{

	@Override
	public void render(Listitem item, Object data) throws Exception {
		TrayectosExpresos trayectos = (TrayectosExpresos) data;
		
		Listcell lc = new Listcell(trayectos.getDescTrayecto());
		lc.setParent(item);
		
		if(trayectos.getCantVehiculos() == null) {
			lc = new Listcell("0");
			lc.setParent(item);
		}else {
			lc = new Listcell(trayectos.getCantVehiculos().toString());
			lc.setParent(item);
		}
		
		if(trayectos.getValorTrayecto() == null) {
			lc = new Listcell("0");
			lc.setParent(item);
		}else {
			lc = new Listcell(trayectos.getValorTrayecto().toString());
			lc.setParent(item);
		}
		
		item.setAttribute("data", trayectos);
	}

}
